Bug 1845636 - test: etcd etcd-quorum-guard leaderelection lost
Summary: test: etcd etcd-quorum-guard leaderelection lost
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Etcd
Version: 4.4
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.5.0
Assignee: Dan Mace
QA Contact: ge liu
URL:
Whiteboard:
Depends On: 1829923 1848729
Blocks: 1845635
TreeView+ depends on / blocked
 
Reported: 2020-06-09 17:27 UTC by OpenShift BugZilla Robot
Modified: 2020-07-13 17:44 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The etcd-quorum-guard component should no longer report false negative Unhealthy events while etcd is actually healthy.
Clone Of:
Environment:
Last Closed: 2020-07-13 17:43:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift machine-config-operator pull 1819 None closed [release-4.5] Bug 1845636: etcd-quorum-guard: update containers section in deployment.yaml 2020-07-15 03:52:10 UTC
Red Hat Product Errata RHBA-2020:2409 None None None 2020-07-13 17:44:06 UTC

Comment 2 Kirsten Garrison 2020-06-17 16:55:43 UTC
QE: The linked MCO PR fixes this issue for new clusters, however for upgraded clusters Dan opened https://github.com/openshift/cluster-version-operator/pull/383 as the CVO bug is blocking this from working in minor bump Y or Z stream upgrades.

Comment 5 Dan Mace 2020-06-19 13:15:40 UTC
This depends on https://bugzilla.redhat.com/show_bug.cgi?id=1848729 as well.

Comment 8 errata-xmlrpc 2020-07-13 17:43:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.